.aolei_about_brand {
    padding: var(--component-gap) 0;
    background: var(--bg-color);
}

.aolei_about_brand .brand-title {
    font-size: var(--font-40);
    font-weight: 400;
    color: var(--title-text-color);
    font-family: var(--title-font-family);
    line-height: normal;
    text-align: center;
    margin-bottom: var(--gap-50);
}

.aolei_about_brand .content-container {
    width: 100%;
    overflow-x: auto;
    padding-left: 6%;
}

.aolei_about_brand .content-box {
    position: relative;
    display: inline-flex;
    min-width: 100%;
    align-items: center;
    min-height: 860px;
    transition: all 0.3s ease;
}

.aolei_about_brand .content-box::before {
    position: absolute;
    content: '';
    display: block;
    left: 0;
    right: 0;
    top: 50%;
    border-top: 1px dashed #B4B4B7;
}

.aolei_about_brand .brand-item {
    position: relative;
    width: 320px;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    padding: 24px;
    gap: 8px;
    box-shadow: 0 2px 30px 0 rgba(0, 0, 0, 0.05);
    transition: all 0.3s ease;
}

.aolei_about_brand .brand-item:nth-child(odd) {
    border-bottom: 2px solid var(--color-primary);
    align-self: center;
    transform: translateY(calc(-50% - 24px));
}

.aolei_about_brand .brand-item:nth-child(even) {
    border-top: 2px solid var(--color-primary);
    align-self: center;
    transform: translateY(calc(50% + 24px));
}

.aolei_about_brand .brand-item::after {
    position: absolute;
    content: '';
    display: block;
    width: 18px;
    height: 18px;
    background: var(--bg-color);
    border: 2px solid var(--color-primary);
    left: 50%;
    transform: translateX(-50%);
}

.aolei_about_brand .brand-item:nth-child(odd)::after {
    bottom: -34px;
}

.aolei_about_brand .brand-item:nth-child(even)::after {
    top: -34px;
}

.aolei_about_brand .brand-item::before {
    position: absolute;
    content: '';
    display: block;
    width: 20px;
    height: 10px;
    background: var(--color-primary);
    left: 50%;
    transform: translateX(-50%);
}

.aolei_about_brand .brand-item:nth-child(odd)::before {
    clip-path: polygon(0 0, 50% 100%, 100% 0);
    top: 100%;
}

.aolei_about_brand .brand-item:nth-child(even)::before {
    clip-path: polygon(50% 0, 100% 100%, 0 100%);
    bottom: 100%;
}

.aolei_about_brand .brand-item-title {
    font-size: var(--font-24);
    font-weight: 400;
    color: #292C33;
    font-family: var(--title-font-family);
    letter-spacing: -0.84px;
    word-wrap: break-word;
    overflow-wrap: break-word;
    word-break: break-word;
}

.aolei_about_brand .brand-item-desc {
    font-size: var(--font-16);
    font-weight: 400;
    color: #292C33;
    line-height: 1.75;
    font-family: var(--font-family);
}

.aolei_about_brand .brand-item img {
    width: 100%;
    aspect-ratio: 68/33;
    object-fit: cover;
    object-position: center center;
}

@media screen and (max-width: 2560px) {
    .aolei_about_brand .content-container {
        padding-left: 17%;
    }
}

@media screen and (max-width: 1920px) {
    .aolei_about_brand .content-container {
        padding-left: 6%;
    }
}

@media screen and (max-width: 1200px) {
    .aolei_about_brand .brand-item {
        width: 240px;
    }
}

@media screen and (max-width: 768px) {
    .aolei_about_brand {
        padding-left: 6%;
        padding-right: 6%;
    }

    .aolei_about_brand .content-container {
        overflow: visible;
        padding-left: 60px;
    }

    .aolei_about_brand .content-box {
        display: flex;
        flex-direction: column;
        min-height: auto !important;
        gap: 30px;
    }

    .aolei_about_brand .content-box::before {
        left: -40px;
        right: unset;
        top: 0;
        bottom: 0;
        border-top: none;
        border-left: 1px dashed #B4B4B7;
    }

    .aolei_about_brand .brand-item:nth-child(n) {
        width: auto;
        border: none;
        border-left: 2px solid var(--color-primary);
        transform: none;
    }

    .aolei_about_brand .brand-item:nth-child(n)::before {
        clip-path: polygon(0 50%, 100% 0, 100% 100%);
        top: 50%;
        transform: translateY(-50%);
        right: 100%;
        width: 10px;
        height: 20px;
        left: unset;
    }

    .aolei_about_brand .brand-item:nth-child(n)::after {
        top: 50%;
        transform: translateY(-50%);
        bottom: unset;
        left: -51px;
    }
}